<?php

namespace Drupal\zoomapi;

/**
 * Interface ZoomApiClientInterface.
 */
interface ZoomApiClientInterface {

  /**
   * Utilizes Drupal's httpClient to connec to the Zoom API.
   *
   * Info: https://marketplace.zoom.us/docs/api-reference/introduction
   * Currently just supports JWT authentication.
   *
   * @param string $method
   *   get, post, patch, delete, etc. See Guzzle documentation.
   * @param string $endpoint
   *   The Zoom API endpoint (ex. users)
   * @param array $query
   *   Any Query Parameters defined in the API spec.
   * @param array $body
   *   Array that will get converted to JSON for some requests.
   *
   * @return object
   *   \GuzzleHttp\Psr7\Response body
   */
  public function request(string $method, string $endpoint, $query = array(), $body = array());

}
